%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% gldisp.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% function gldisp(varargin);
%
% display the given variables in the matlab window; varargin is a 2n long
% cell with each pair first containing the name of the variable and then
% the value.

function gldisp(varargin)

if nargin<2, error('gldisp: Not enough arguments!');end
for i=1:2:nargin
    if ~ischar(varargin{i})
        error(['gldisp: invalid variable name found at position ' ...
            num2str(i) '!'])
    else
        disp([varargin{i} ' = ']) 
        disp(varargin{i+1})
    end
end