%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% glgetguipref.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% function prefval = glgetguipref(fh, prefkey, default)
%

function prefval = glgetguipref(fh, prefkey, default)

global glconf;

[empty,guiname] = fileparts(get(fh,'FileName'));
prefval = [];
guiconffile = [glconf.gloptdir,'Gloptlab_gui.cfg'];
if (exist(guiconffile,'file'))
    guiconf = glload(guiconffile);
    if (isfield(guiconf,guiname) && isfield(guiconf.(guiname),prefkey))
        prefval = guiconf.(guiname).(prefkey);   
    end  
end

if (isempty(prefval) && nargin > 2)
    prefval = default;
end