%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% glsetguipref.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% function glsetguipref( fh, prefkey, prefval )
%

function [] = glsetguipref( fh, prefkey, prefval )

global glconf;

[empty,guiname] = fileparts(get(fh,'FileName'));
guiconffile = [glconf.gloptdir,'Gloptlab_gui.cfg'];

if (exist(guiconffile,'file'))
    guiconf = glload(guiconffile);    
else
    guiconf = struct;
end

guiconf.(guiname).(prefkey) = prefval;

glsave(guiconf,guiconffile);

end

