%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% glmag.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function mag=glmag(x)
% 
% compute the magnitude of a box
%
% x             box or matrix
%   .inf.sup    bounds
% mag           magnitude of x

function mag=glmag(x)

% argcheck
if nargin <1, error('glmag: Not enough arguments!');end
% compute mignitude
mag=max(abs(x.inf),abs(x.sup));