%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% glmmod.m %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% function [d,r]=mmod(n,k);
%
% n modulus k results d=divisor and r=remainder (1...k) not (0...k-1)

function [d,r]=glmmod(n,k)

if nargin <2, error('glmmod: Not enough arguments!');end
r=mod(n,k);d=(n-r)/k;
if r==0,
    r=k;
    d=d-1;
end